OpenNMS API 1.2.9

## org.opennms.netmgt.dhcpd
Class Client.UnicastListener

    java.lang.Object
      java.lang.Thread
          org.opennms.netmgt.dhcpd.Client.UnicastListener

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  Client

public final class Client.UnicastListener
extends java.lang.Thread

The remote DHCP server we sent the request to has the option of either unicasting the response directly back to us or broadcasting the response to port 68 on the local subnet. The Receiver class handles the broadcast scenario and this class will take care of the unicast scenario.

Field Summary
`(package private) Client` `m_client` Client where any received responses will be forwarded.
`(package private) java.net.DatagramSocket` `m_incomingUdp` Udp connection over which unicast DHCP response will be received.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Client.UnicastListener(java.net.DatagramSocket incoming, Client client)` Constructor

Method Summary
`void` `run()` Does the work of the thread.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_incomingUdp

    java.net.DatagramSocket m_incomingUdp

  Udp connection over which unicast DHCP response will be received.

### m_client

    Client m_client

  Client where any received responses will be forwarded.

Constructor Detail

### Client.UnicastListener

    public Client.UnicastListener(java.net.DatagramSocket incoming,
                                  Client client)

  Constructor

Parameters:
  `incoming` - UDP socket over which the DHCP request was sent
  `client` - The client to which any unicasted responses are to be forwarded

Method Detail

### run

    public void run()

  Does the work of the thread. Listens for unicasted responses from the DHCP server. If a response is received it will be forwarded to the client which requested that the DHCP request be generated.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.